include:
  - project: fabric2-public/cicd/cicd-templates
    ref: main
    file:
      - templates/pipelines/nextjs.yml

variables:

  AUTO_DEPLOY_QA: "true"

  # Disable all testing and quality/security gates
  SKIP_CODE_QUALITY: "true"
  SKIP_SONARCLOUD: "true"
  SKIP_SEMGREP: "true"
  SKIP_SECRET_SCANNER: "true"

  CLIENT: gitlabcicd

  # Not needed since we're disabling tests
  NPM_RUN_UNIT_TEST_CMD: test
  NPM_RUN_LINT_CMD: lint

  # Disable sandbox environment
  SANDBOX_ENV: ""

  # Disable prod environment
  PROD_ENV: ""  

  DEV_S3_BUCKET: artifacts-test-mock-site-dev
  QA_S3_BUCKET: artifacts-test-mock-site-qa

  DEV_ENV_URL: http://artifacts-test-mock-site-dev.s3-website-us-east-1.amazonaws.com
  QA_ENV_URL: http://artifacts-test-mock-site-qa.s3-website-us-east-1.amazonaws.com
  
  # Enable a11y accessibility tests
  # DEV_A11Y_URL: $DEV_ENV_URL
  # DEV_BROWSER_PERF_URL: $DEV_ENV_URL

  # Enable sitespeed browser performance tests
  # QA_A11Y_URL: $QA_ENV_URL
  # QA_BROWSER_PERF_URL: $QA_ENV_URL

  # Uncomment for debugging
  # CI_DEBUG_TRACE: "true"

  # The CI_COMMIT_SHORT_SHA is not used directly in cases where we want to test a build with
  # a different commit hash.
  BUILD_ID: "$CI_COMMIT_SHORT_SHA"

  # Usually this would be something like "npm build" but for this example
  # it echoes out the env name
  BUILD_CMD: "echo building env \\$NODE_ENV"
  
  # Required: sets the path of the build output
  DIST_DIR: "./build"

  # Defaults to `./`
  # BUILD_DIR: "./foo"
